factor.residuals {psych} | R Documentation

## R* = R- F F'

### Description

The basic factor or principal components model is that a correlation or covariance matrix may be reproduced by the product of a factor loading matrix times its transpose. Find the residuals of the original minus the reproduced matrix. Used by `factor.fit`, `VSS`, `ICLUST`, etc.

### Usage

    factor.residuals(r, f)

### Arguments

`r` | A correlation matrix
`f` | A factor model matrix or a list of class loadings

### Details

The basic factor equation is nRn = nFk kFn' + U2. Residuals are just R* = R - F'F. The residuals should be (but in practice probably rarely are) examined to understand the adequacy of the factor analysis. When doing Factor analysis or Principal Components analysis, one usually continues to extract factors/components until the residuals do not differ from those expected from a random matrix.

### Value

rstar is the residual correlation matrix.

### Author(s)

Maintainer: William Revelle <revelle@northwestern.edu>

### See Also

`fa`, `principal`, `VSS`, `ICLUST`

### Examples

    fa2 <- fa(Harman74.cor$cov,2,rotate=TRUE)
     fa2resid <- factor.residuals(Harman74.cor$cov,fa2)
     fa2resid[1:4,1:4] #residuals with two factors extracted
     fa4 <- fa(Harman74.cor$cov,4,rotate=TRUE)
     fa4resid <- factor.residuals(Harman74.cor$cov,fa4)
     fa4resid[1:4,1:4] #residuals with 4 factors extracted

[Package psych version 1.8.4 Index]